Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Kdenlive! (pronounced Kay-den-live) is a Non Linear Video Editing Suite for KDE.
Name:		kdenlive
Version:	0.7.6
Release:	1
Group:		Video
URL:		http://kdenlive.sourceforge.net
License:	GPL-2
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildArch:	i686
#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: ffmpeg-devel
BuildRequires: gamin-devel
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: libXtst-devel
BuildRequires: mlt-devel
BuildRequires: qt4-devel
BuildRequires: strigi-devel
BuildRequires: zlib-devel
# manually added dependencies
BuildRequires:	SDL-devel SDL_image-devel libsamplerate-devel libogg-devel libvorbis-devel
BuildRequires:	lame-devel libdv-devel libtheora-devel libquicktime-devel 
BuildRequires:	automake autoconf pkg-config 
BuildRequires:  startup-notification-devel
BuildRequires:  libiec61883-devel libavc1394-devel 
BuildRequires:  libart_lgpl-devel libidn-devel 
BuildRequires:  libpng-devel libraw1394-devel
BuildRequires:  automoc4
BuildRequires:  phonon-devel
BuildRequires:  soprano-devel

%description
Kdenlive! (pronounced Kay-den-live) is a Non Linear Video Editing Suite for KDE.

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix} 
popd build

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make DESTDIR=${RPM_BUILD_ROOT} install
popd build
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/kdenlive
%{_bindir}/kdenlive_render
%{_libdir}/kde4/libkdenlive_sampleplugin.so
%{_libdir}/kde4/westleypreview.so          
%{_applications}/kde4/kdenlive.desktop     
%{_datadir}/config.kcfg/kdenlivesettings.kcfg
%{_datadir}/config/kdenlive.knsrc            
%{_datadir}/config/kdenlive_mltprofiles.knsrc
%{_datadir}/config/kdenlive_render.knsrc     
%{_datadir}/config/kdenlivetranscodingrc     
%{_datadir}/icons/hicolor/*/mimetypes/application-x-kdenlivetitle.png
%{_datadir}/icons/hicolor/*/apps/kdenlive.png                          
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-kdenlive.svgz   
%{_datadir}/icons/hicolor/scalable/mimetypes/video-mlt-playlist.svgz       
%{_datadir}/icons/oxygen/*/mimetypes/application-x-kdenlivetitle.png 
%{_datadir}/icons/oxygen/*/apps/kdenlive.png                           
%{_datadir}/icons/oxygen/scalable/mimetypes/application-x-kdenlivetitle.svgz
%{_datadir}/kde4/apps/kdenlive 
%{_datadir}/kde4/services/westleypreview.desktop
%{_locale}/*/LC_MESSAGES/kdenlive.mo
%{_mandir}/man1/kdenlive.1.gz
%{_mandir}/man1/kdenlive_render.1.gz
%{_datadir}/menu/kdenlive
%{_datadir}/mime/packages/kdenlive.xml
%{_datadir}/mime/packages/westley.xml
%{_pixmaps}/kdenlive.xpm

%changelog
* Wed Jan 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.6-1
- version updatei
* Tue Feb 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2.1-1
- version update
* Fri Nov 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7-2
- final version
* Tue Oct 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7-1
- Version update
- beta1
- this is the KDE4 port of kdenlive
* Fri Jan 04 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.5-3
- rebuild against new ffmpeg and x264
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 0.5-2
- altered group
* Sat Aug 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.5-1
- Version update
* Sat Aug 25 2007 Chistian Wasem <wasem@ccux-linux.de> 0.4-2
- rebuilt against libmlt and libmlt++
* Thu Dec 14 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.4-1
- Initial Release
